Check if a wallet address is sanctioned using Chainalysis. Returns whether the wallet is blocked or not.
curl --request GET \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/wallet/sanctions \
--header 'Authorization: Bearer <token>'{
"walletAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chain": "ETH",
"isBlocked": true
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
The wallet address to check for sanctions Valid blockchain wallet address, must be an alphanumeric string without any special characters
255^[A-Za-z0-9]{18,100}$"0xbF394748301603f18d953C90F0b087CBEC0E1834"
The blockchain chain of the wallet
ETH, EVM, FLOW, SOL, ALGO, STARK, COSMOS, BTC, ECLIPSE, SUI, SPARK, TRON, APTOS, TON, STELLAR, ALEO, TEMPO Wallet sanctions check result
Valid blockchain wallet address, must be an alphanumeric string without any special characters
255^[A-Za-z0-9]{18,100}$"0xbF394748301603f18d953C90F0b087CBEC0E1834"
ETH, EVM, FLOW, SOL, ALGO, STARK, COSMOS, BTC, ECLIPSE, SUI, SPARK, TRON, APTOS, TON, STELLAR, ALEO, TEMPO Whether the wallet address is blocked due to sanctions
Was this page helpful?
curl --request GET \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/wallet/sanctions \
--header 'Authorization: Bearer <token>'{
"walletAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chain": "ETH",
"isBlocked": true
}